Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366343 - spacewalk-clone-by-date could use clearer output/logging
Summary: spacewalk-clone-by-date could use clearer output/logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability
Version: 570
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 17:26 UTC by Grant Gainey
Modified: 2016-08-22 12:24 UTC (History)
2 users (show)

Fixed In Version: spacewalk-utils-2.3.2-25-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-22 12:24:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1645 normal SHIPPED_LIVE Satellite 5.7 bug fix update 2016-08-22 16:22:37 UTC

Description Grant Gainey 2016-08-11 17:26:27 UTC
Because spacewalk-clone-by-date involves a number of heuristics for insuring dependency-complete channels, its results can be surprising to the end user. In addition, the tool logs a lot of useful information to its logfile - which is not documented anywhere. We should enhance the command-line output and manpage for the tool to make more clear what has happened and where to look for details.

Comment 1 Grant Gainey 2016-08-11 17:59:00 UTC
spacewalk.github:
8f579698fff90318fbc715aeaeba180f10fe048e

Comment 2 Grant Gainey 2016-08-12 15:07:52 UTC
spacewalk.github:
d5e884e332367bf4384bacdb9fa71bab1af65770

Comment 3 Grant Gainey 2016-08-12 17:59:23 UTC
* Cleaned up output found in /var/log/rhn/errata-clone.log to make the sequence a little clearer

* Added summery output at the command line:

===
...
Solving Dependencies (3): 
________________________________________
######################################## - complete
Processing Dependencies:
________________________________________
######################################## - complete
29 RPM(s) added to atest-1-rhel-x86_64-server-6 to resolve dependencies.
Please see /var/log/rhn/errata-clone.log for details.
===

* Updated the spacewalk-clone-by-date man page to include a "LOG OUTPUT" section

Comment 5 Jan Hutař 2016-08-18 07:18:05 UTC
In man page we say log file is /var/log/rhn/errata_clone.log, but actually it is /var/log/rhn/errata-clone.log. Do we want to respin packages for this, or should I just create new bug for that?

Comment 6 Jan Hutař 2016-08-18 08:10:05 UTC
Otherwise sanity seems to be good. Patch itself seems good as well.

Comment 7 Tomas Lestach 2016-08-18 08:29:21 UTC
According to git, this inconsistency has been introduced in commit mentioned in Comment#1. Let's fix it. :-)

Comment 8 Grant Gainey 2016-08-18 11:47:15 UTC
(In reply to Tomas Lestach from comment #7)
> According to git, this inconsistency has been introduced in commit mentioned
> in Comment#1. Let's fix it. :-)

Strongly concur - I'm on it

Comment 9 Grant Gainey 2016-08-18 11:53:19 UTC
spacewalk.github:
55bde7c98e801da827d9470c932faf6289f5656f

Comment 14 errata-xmlrpc 2016-08-22 12:24:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1645.html


Note You need to log in before you can comment on or make changes to this bug.